#!/bin/sh

[ -z "${buildcpd}" ] && [ -f /usr/bin/build-classpath-directory ] \
	&& buildcpd=/usr/bin/build-classpath-directory
[ -z "${buildcpd}" ] \
	&& buildcpd=./Support/runscript/maintenance/build-classpath-directory
[ -z "$dixi_run_cmd" ] && dixi_run_cmd=`basename "$0"`
START_DIR="$(pwd)"

[ -z "$AEM_HOME" ] && AEM_HOME=/usr/share/dixi
XATI_LOG4J_PROPERTY="${AEM_HOME}/log4j_xati.properties"
XOSD_CONFIG=/etc/xos/config/XOSdConfig.conf
JUNIT_JAR=/usr/share/java/junit4.jar
CPCLASSES_JARS=`${buildcpd} $AEM_HOME/libs`":$CLASSPATH:$JUNIT_JAR"
CONFIGPATH=/etc/xos/config/dixi/
PRINTUSAGE="n"

JNIS=`find $AEM_HOME -type d -iname "JNI"`
for N in $JNIS
do
	CPJNIS=$CPJNIS":"$N
done

cd ${AEM_HOME}/files

case "$dixi_run_cmd" in

	testSRDSMng.sh)
	CPJNIS="$CPJNIS:$AEM_HOME/libs/DIXI.jar"
	exec java -cp $CPCLASSES:$CPCLASSES_JARS:. -Dlog4j.configuration=file://${XATI_LOG4J_PROPERTY} -Djava.library.path=$CPJNIS org.junit.runner.JUnitCore eu.xtreemos.xati.test.SRDSMngTest
	;;

esac
